## GladeSignalModel GladeSignalModel |

## Functions

GtkTreeModel * | glade_signal_model_new ()

## Types and Values

struct | GladeSignalModel
enum | GladeSignalModelColumns

## Description

## Functions

### glade_signal_model_new ()

    GtkTreeModel *
    glade_signal_model_new (GladeWidget *widget,
                            GHashTable *signals);

Creates a new GladeSignalModel object to show and edit the signals of a widgets in a GtkTreeView

#### Parameters

widget | The GladeWidget the signals belong to |
signals | The signals of the GladeWidget |

#### Returns

a new GladeSignalModel.

[transfer full]

## Types and Values

### struct GladeSignalModel

    struct GladeSignalModel {
      GObject parent_instance;

      GladeSignalModelPrivate *priv;
    };

### enum GladeSignalModelColumns

#### Members

GLADE_SIGNAL_COLUMN_NAME |  |
GLADE_SIGNAL_COLUMN_SHOW_NAME |  |
GLADE_SIGNAL_COLUMN_HANDLER |  |
GLADE_SIGNAL_COLUMN_OBJECT |  |
GLADE_SIGNAL_COLUMN_SWAP |  |
GLADE_SIGNAL_COLUMN_AFTER |  |
GLADE_SIGNAL_COLUMN_TOOLTIP |  |
GLADE_SIGNAL_COLUMN_SIGNAL |  |
GLADE_SIGNAL_COLUMN_DETAIL |  |
GLADE_SIGNAL_N_COLUMNS |  |